Enum Class SmartHandsJumperType
- All Implemented Interfaces:
APIParam, Serializable, Comparable<SmartHandsJumperType>, Constable
Jumper type for a smart hands run-jumper-cable order (
jumperType in the smart hands
v1 spec). Several wire values contain spaces or a -, so they cannot be Java
identifiers; the actual transmitted value is supplied via getValue().-
Nested Class Summary
Nested classes/interfaces inherited from class Enum
Enum.EnumDesc<E> -
Enum Constant Summary
Enum Constants -
Method Summary
Modifier and TypeMethodDescriptionstatic SmartHandsJumperTypefromString(String value) getValue()toString()static SmartHandsJumperTypeReturns the enum constant of this class with the specified name.static SmartHandsJumperType[]values()Returns an array containing the constants of this enum class, in the order they are declared.Methods inherited from class Enum
clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOfMethods inherited from interface APIParam
paramValueModifier and TypeMethodDescriptiondefault StringThe value exactly as it must appear on the wire in a query or path parameter.
-
Enum Constant Details
-
JUMPER
-
PRE_WIRING
-
PATCH_CABLE
-
OTHER
-
-
Method Details
-
values
Returns an array containing the constants of this enum class, in the order they are declared.- Returns:
- an array containing the constants of this enum class, in the order they are declared
-
valueOf
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)- Parameters:
name- the name of the enum constant to be returned.- Returns:
- the enum constant with the specified name
- Throws:
IllegalArgumentException- if this enum class has no constant with the specified nameNullPointerException- if the argument is null
-
getValue
-
fromString
-
toString
- Overrides:
toStringin classEnum<SmartHandsJumperType>
-